Filaire

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Circle Draft Circle.svg Arrow-right.svg

Draft Wire.svg Filaire

Emplacement du menu
Draft → Filaire
Ateliers
Planche à dessin, Complet
Raccourci par défaut
W I
Introduit dans la version
-
Voir aussi
Ligne, Draft BSpline


Description

L'outil fil (Wire) crée polyligne (séquence de lignes de plusieurs segments) dans le plan de travail actuel. Il prend les attributs de largeur et couleur, précédemment défini dans la barre d'outils style. L'outil fil (Wire) se comporte comme l'outil ligne de projet, sauf qu'il ne s'arrête pas après deux points.

The Draft BSpline tool behaves like the Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

Draft Polyline example.jpg

Draft Polyline example.jpg

Utilisation

  1. Pressez sur le bouton Draft Wire.png Draft Wire, ou pressez la touche W puis sur I.
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées.
  3. Cliquez un point additionnel dans la vue 3D, ou, tapez les coordonnées.
  4. Pressez la touche F ou C, ou, double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermez le fil. Si le fil est fermé, il sera aussi une face même s'il apparaît comme un filaire.

The wire can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Fuse single lines

If several connected Draft Lines are selected when pressing the Draft Wire.svg Draft Wire button, they will be turned into a wire and the command will exit. introduced in version 0.17

Note: the end points of the lines must be exactly touching or they won't merge. If necessary, manually adjust the Draft Coordinates of the start and end points of the lines, or use Draft Snap with the Draft Endpoint mode to make the nodes coincident.

Options

  • Si plusieurs Draft Lines connectées sont sélectionnées , elles seront transformées en un fil et la commande sera terminée en cliquant sur le bouton Draft Wire Disponible dans la version 0.17
  • Pressez sur la touche F ou Draft FinishLine.png Terminer pour finir la ligne, le fil reste ouvert.
  • Pressez sur la touche C ou Draft CloseLine.png Close ou cliquez sur le premier point pour finir la ligne, le fil sera fermé, en ajoutant un dernier segment entre le dernier point et le premier.
  • Pressez sur la touche X, Y ou Z après un point, pour contraindre le prochain point sur l'axe donné.
  • Vous pouvez saisir manuellement les coordonnées, entrez simplement les nombres, puis appuyez sur la touche ENTER entre chaque composants X, Y et Z.
  • Pressez sur la touche R, ou cliquez sur la case à cocher Relatif pour activer/désactiver la fonction. Si le mode Relatif est activé, les coordonnées du point suivant, se base sur le dernier point effectué. S'il n'est pas activé, les coordonnées sont absolus, et obtenues à partir du point d'origine (0,0,0).
  • Pressez sur la touche T ou cliquez sur la case à cocher Continue pour activer/désactiver la fonction. Si le mode Continuer est activé, la fonction continue, après avoir fini ou fermer votre fil, cela vous permet de continuer avec la même fonction sans devoir la sélectionner une nouvelle fois.
  • Pressez sur la touche CTRL pendant le dessin, force l'accrochage, de votre point à l'emplacement le plus proche du composant logiciel enfichable, indépendamment de la distance.
  • Pressez la touche SHIFT contraint votre prochain point horizontalement ou verticalement en relation avec votre point precédent.
  • Pressez sur la touche W, ou sélectionnez le bouton Draft Wipe.png Contour, pour supprimer le segment courant, et continue un nouveau segment à partir du dernier point créé.
  • Pressez sur la touche CTRL+Z ou sélectionnez le bouton Draft UndoLine.png Annuler, pour revenir au dernier point.
  • Pressez sur la touche I, ou le bouton Filled, transforme le fil en face dès qu'il est fermé. Cette valeur définit simplement la propriété du fil de Flat lines ou Wireframe, il peut donc être facilement modifié plus tard.
  • Pressez sur la touche ESC, ou le bouton Cancel pour quitter la commande.
  • Closed wires, en mode d'affichage "Flat Lines", peut afficher un motif de hachures, en définissant la propriété "Pattern".

Propriétés

  • DONNÉESClosed: Détermine si le Wire est ouvert ou fermé.
  • DONNÉESChamfer Size: Spécifie la dimension du chanfrein des coins.
  • DONNÉESFillet Radius: Spécifie le rayon de courbure des nœuds du wire
  • DONNÉESSubdivisions: Divise les segments du fil avec le nombre de subdivisions donné Disponible dans la version 0.16
  • VUEEnd Arrow: Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme une flèche d'annotation.
  • VUEPattern: Spécifie le type de hachure a utiliser (Wire Fermé).
  • VUEPattern Size: Spécifie la dimension de la hachure.

Data

  • DATAStart: specifies the first point in the wire.
  • DATAEnd: specifies the last point in the wire, not counting the initial point if the wire is closed.
  • DATAClosed: specifies if the wire is closed or not. If the wire is initially open, this value is False; setting it to True will draw a line segment to close the wire. If the wire is initially closed, this value is True; setting it to False will remove the last line segment, and make the wire open.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the wire.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the wire.
  • DATAMake Face: specifies if the wire makes a face or not. If it is True a face is created, otherwise only the edges are considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the wire intersects itself, as it won't create a proper face.
  • DATASubdivisions: specifies the number of interior nodes in each segment of the wire. introduced in version 0.16
  • DATALength: (read-only) specifies the length of the entire wire.

View

  • VIEWEnd Arrow: if it is True it will display a symbol at the last point of the wire, so it can be used as an annotation line.
  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the wire.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the wire, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the closed wire. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script

L'outil fil peut être utilisé dans des macros, et, dans la console Python en utilisant le code suivant :

See also: Draft API and FreeCAD Scripting Basics.

The Wire tool can be used in macros and from the Python console by using the following function:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crée un objet fil (Wire) avec les données de vecteurs ou du fil donné.
    • Si le fil est fermé ou si le premier et le dernier point est identique, le fil est fermé.
    • Si facemode est activé (TRUE) (le fil est fermé), le fil apparait plein.
  • Les attributs de largeur et couleur définis seront utilisés.
  • Retourne l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Line.svg Line
Next: Circle Draft Circle.svg Arrow-right.svg